function init(hero) {
    hero.setName("Atom Eve");
	hero.setVersion("Serie")
    hero.setTier(2);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("vhp:subatomic_manipulation", "fiskheroes:flight");
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 4.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    
	hero.addKeyBind("AIM", "Aim", 1)
	hero.addKeyBind("SHIELD", "Subatomic Forcefield", 2)
    hero.addKeyBind("SPELL_MENU", "Atomic Menu", 3);
	hero.addKeyBind("CHARGED_BEAM", "Energy Projection", 4);
	
	hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
	hero.supplyFunction("canAim", canAim);
	hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("BASE_SPEED", -0.10, 1);
    profile.addAttribute("JUMP_HEIGHT", -3.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield_blocking") ? "SHIELD" : null;
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
	 case "fiskheroes:energy_blast":
        return entity.getData("fiskheroes:aimed_timer") >= 1;
    case "fiskheroes:shield":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
	case "fiskheroes:spell_menu":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
	case "fiskheroes:charged_beam":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SHIELD":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
	case "SPELL_MENU":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
	case "CHARGED_BEAM":
        return entity.getData("fiskheroes:aimed_timer") >= 0;
    default:
        return true;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}